Description

We are using Redmine for managing issues from a group of users. Those users get notified of any change made to the issues they

reported. That's not quite good, as they tend to get too many e-mails and then just ignore all of them. For example, for them,

receiving an issue edit notification telling that the "Assigned to" field has changed is an annoyance.

We would like to be able to define in some part of the application (I suppose this should be user-based, or at least, role-based) under

which events the user should be notified. In our particular case (for the Users role, as the other roles should still receive all changes),

that would be:

When there is a new comment on the issue.

When the issue Status field changes to a specific status.

But probably it should be more configurable.

Related issues:

Has duplicate Redmine - Feature #4534: Only receive emails for new issues Reopened 2010-01-07

History

#1 - 2009-01-29 15:16 - Jon Povey

Yes please!

#2 - 2009-01-29 17:26 - youngseok yi

Actually I don't want to be notified for every trivial changes. but It's hard to define "What is the trivial changes or what is the important change?".

I agree enhanced notification, but as I mentioned in discussion board mail notification or watcher in closed project this also could depend on

characteristic of projects.

And sometimes too many or too detail option could lead to confusion.

Hope to discuss the way to fullfill the need.

#3 - 2009-06-12 20:03 - Nanda P

+1

#4 - 2009-07-16 11:53 - GOYELLO IT Services

We've created a fix that might help you:

http://www.redmine.org/boards/3/topics/7453

#5 - 2010-01-08 14:51 - Patrick Cummins

GOYELLO IT Services, what are the chances of you modifying this plugin with a checkbox option that users will only receive emails updates for new

issues?

The idea is that, all members will receive emails for new issues and after that only the assigned developer and 'watching' members receive updates.
